Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls
Class WStatusBarPanelCollection

    java.lang.Object
      LumiSoft.UI.Controls.WStatusBarPanelCollection

All Implemented Interfaces:
  java.lang.Iterable<WStatusBarPanel>

    public class WStatusBarPanelCollection

extends java.lang.Object
implements java.lang.Iterable<WStatusBarPanel>

Statusbar panel collection.

Method Summary
`WStatusBarPanel` | `Add(boolean autoSize)` Adds new statusbar panel to panels collection.
`WStatusBarPanel` | `Add(int width)` Adds new statusbar panel to panels collection.
`WStatusBarPanel` | `Add(int width, java.lang.String text)` Adds new statusbar panel to panels collection.
`void` | `Clear()` Removes all items from the collection.
`WStatusBarPanel` | `get(int index)` Gets the StatusBarPanel at the specified index.
`int` | `getCount()` Gets the number of items in the collection.
`java.util.Iterator<WStatusBarPanel>` | `iterator()` Gets iterator.
`void` | `Remove(WStatusBarPanel panel)` Removes specified panel from panles collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Add

    public WStatusBarPanel Add(boolean autoSize)

  Adds new statusbar panel to panels collection.

  Parameters:
    `autoSize` -
  Returns:

### Add

    public WStatusBarPanel Add(int width)

  Adds new statusbar panel to panels collection.

  Parameters:
    `width` -
  Returns:

### Add

    public WStatusBarPanel Add(int width,
                               java.lang.String text)

  Adds new statusbar panel to panels collection.

  Parameters:
    `width` -
    `text` -
  Returns:

### Remove

    public void Remove(WStatusBarPanel panel)

  Removes specified panel from panles collection.

  Parameters:
    `panel` -

### Clear

    public void Clear()

  Removes all items from the collection.

### getCount

    public int getCount()

  Gets the number of items in the collection.

  Returns:

### get

    public WStatusBarPanel get(int index)

  Gets the StatusBarPanel at the specified index.

  Parameters:
    `index` -
  Returns:

### iterator

    public java.util.Iterator<WStatusBarPanel> iterator()

  Gets iterator.

  Specified by:
    `iterator` in interface `java.lang.Iterable<WStatusBarPanel>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD